<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Lifinity Dungeon: He_Arc::RPG::Menu Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Lifinity Dungeon
   &#160;<span id="projectnumber">6</span>
   </div>
   <div id="projectbrief">The Lifinity Dungeon is a dungeon with an infinity of room. After each room, you found a harder room. This is why you will pass the eternity of your life in this dungeon</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><b>He_Arc</b></li><li class="navelem"><b>RPG</b></li><li class="navelem"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_menu.html">Menu</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-static-methods">Static Public Member Functions</a> &#124;
<a href="class_he___arc_1_1_r_p_g_1_1_menu-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">He_Arc::RPG::Menu Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>This class is menu interface, It regroups de functionality to display the menu, and choose an action.  
 <a href="class_he___arc_1_1_r_p_g_1_1_menu.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="_menu_8hpp_source.html">Menu.hpp</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a64f920a5ea1ffb8acec4e123b0d4581c"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_menu.html#a64f920a5ea1ffb8acec4e123b0d4581c">Menu</a> (string title, vector&lt; shared_ptr&lt; MenuItem &gt;&gt; menus, int size=100, string border=&quot;-&quot;)</td></tr>
<tr class="memdesc:a64f920a5ea1ffb8acec4e123b0d4581c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Construct a new <a class="el" href="class_he___arc_1_1_r_p_g_1_1_menu.html" title="This class is menu interface, It regroups de functionality to display the menu, and choose an action.">Menu</a> object.  <a href="class_he___arc_1_1_r_p_g_1_1_menu.html#a64f920a5ea1ffb8acec4e123b0d4581c">More...</a><br /></td></tr>
<tr class="separator:a64f920a5ea1ffb8acec4e123b0d4581c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a32088e9737a75e9ad76d1ba7e0afef83"><td class="memItemLeft" align="right" valign="top"><a id="a32088e9737a75e9ad76d1ba7e0afef83"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_menu.html#a32088e9737a75e9ad76d1ba7e0afef83">DisplayMenu</a> () const</td></tr>
<tr class="memdesc:a32088e9737a75e9ad76d1ba7e0afef83"><td class="mdescLeft">&#160;</td><td class="mdescRight">Display the menu with header and each possible options (menu items) (didn't display the input query) <br /></td></tr>
<tr class="separator:a32088e9737a75e9ad76d1ba7e0afef83"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ada02f6ad88b49e8d881211daf3aa15ff"><td class="memItemLeft" align="right" valign="top">char&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_menu.html#ada02f6ad88b49e8d881211daf3aa15ff">AskMenuSelect</a> () const</td></tr>
<tr class="memdesc:ada02f6ad88b49e8d881211daf3aa15ff"><td class="mdescLeft">&#160;</td><td class="mdescRight">Input query to select a menu.  <a href="class_he___arc_1_1_r_p_g_1_1_menu.html#ada02f6ad88b49e8d881211daf3aa15ff">More...</a><br /></td></tr>
<tr class="separator:ada02f6ad88b49e8d881211daf3aa15ff"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad9c385715ec2186ef1d0730a12482df9"><td class="memItemLeft" align="right" valign="top">shared_ptr&lt; MenuItem &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_menu.html#ad9c385715ec2186ef1d0730a12482df9">SelectMenu</a> (char key) const</td></tr>
<tr class="memdesc:ad9c385715ec2186ef1d0730a12482df9"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the type of the menu who the user wants to select.  <a href="class_he___arc_1_1_r_p_g_1_1_menu.html#ad9c385715ec2186ef1d0730a12482df9">More...</a><br /></td></tr>
<tr class="separator:ad9c385715ec2186ef1d0730a12482df9"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-static-methods"></a>
Static Public Member Functions</h2></td></tr>
<tr class="memitem:a7131e4465e33ca2858ff00ba405fee76"><td class="memItemLeft" align="right" valign="top"><a id="a7131e4465e33ca2858ff00ba405fee76"></a>
static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_menu.html#a7131e4465e33ca2858ff00ba405fee76">DisplayHomePage</a> ()</td></tr>
<tr class="memdesc:a7131e4465e33ca2858ff00ba405fee76"><td class="mdescLeft">&#160;</td><td class="mdescRight">Display the home page of the program Close it by pressing "Enter". <br /></td></tr>
<tr class="separator:a7131e4465e33ca2858ff00ba405fee76"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af7c1624f29e7a78c6d1d890027793f8a"><td class="memItemLeft" align="right" valign="top"><a id="af7c1624f29e7a78c6d1d890027793f8a"></a>
static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_menu.html#af7c1624f29e7a78c6d1d890027793f8a">DisplayYouDiePage</a> ()</td></tr>
<tr class="memdesc:af7c1624f29e7a78c6d1d890027793f8a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Display the "You Die" page of the program Close it by pressing "Enter". <br /></td></tr>
<tr class="separator:af7c1624f29e7a78c6d1d890027793f8a"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>This class is menu interface, It regroups de functionality to display the menu, and choose an action. </p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a64f920a5ea1ffb8acec4e123b0d4581c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a64f920a5ea1ffb8acec4e123b0d4581c">&#9670;&nbsp;</a></span>Menu()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Menu::Menu </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>title</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">vector&lt; shared_ptr&lt; MenuItem &gt;&gt;&#160;</td>
          <td class="paramname"><em>menus</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>size</em> = <code>100</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>border</em> = <code>&quot;-&quot;</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Construct a new <a class="el" href="class_he___arc_1_1_r_p_g_1_1_menu.html" title="This class is menu interface, It regroups de functionality to display the menu, and choose an action.">Menu</a> object. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">title</td><td>title of the menu </td></tr>
    <tr><td class="paramname">menus</td><td>collection of menu items who can be selected in this menu </td></tr>
    <tr><td class="paramname">size</td><td>Size (in character) of the menu when displayed </td></tr>
    <tr><td class="paramname">border</td><td>character(s) use to do the border (using string to allow to have special UTF8 characters) </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="ada02f6ad88b49e8d881211daf3aa15ff"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ada02f6ad88b49e8d881211daf3aa15ff">&#9670;&nbsp;</a></span>AskMenuSelect()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">char Menu::AskMenuSelect </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Input query to select a menu. </p>
<dl class="section return"><dt>Returns</dt><dd>char Character entered by the user </dd></dl>

</div>
</div>
<a id="ad9c385715ec2186ef1d0730a12482df9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad9c385715ec2186ef1d0730a12482df9">&#9670;&nbsp;</a></span>SelectMenu()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">shared_ptr&lt; MenuItem &gt; Menu::SelectMenu </td>
          <td>(</td>
          <td class="paramtype">char&#160;</td>
          <td class="paramname"><em>key</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Get the type of the menu who the user wants to select. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">key</td><td>The menu to select </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>MenuItem::MenuType The type of the selected menu </dd></dl>

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>cpp_filrouge_iscj_allemann/include/Menu/<a class="el" href="_menu_8hpp_source.html">Menu.hpp</a></li>
<li>cpp_filrouge_iscj_allemann/src/Menu/<a class="el" href="_menu_8cpp.html">Menu.cpp</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1
</small></address>
</body>
</html>
